Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Node

    java.lang.Object
      |
      +--org.hsqldb.Node

class Node
extends Object

Field Summary
`(package private) int` | `iBalance`
`(package private) int` | `iLeft`
`(package private) int` | `iParent`
`(package private) int` | `iRight`
`(package private) org.hsqldb.Node` | `nLeft`
`(package private) org.hsqldb.Node` | `nNext`
`(package private) org.hsqldb.Node` | `nParent`
`(package private) org.hsqldb.Node` | `nRight`
`(package private) org.hsqldb.Row` | `rData`

Constructor Summary
`(package private)` | `Node(org.hsqldb.Row , java.io.DataInput , int )`
`(package private)` | `Node(org.hsqldb.Row , int )`

Method Summary
`(package private) void` | `delete()`
`(package private) boolean` | `equals(org.hsqldb.Node )`
`(package private) int` | `getBalance()`
`java.lang.Object[]` | `getData()`
`(package private) int` | `getKey()`
`(package private) org.hsqldb.Node` | `getLeft()`
`(package private) org.hsqldb.Node` | `getParent()`
`(package private) org.hsqldb.Node` | `getRight()`
`(package private) void` | `setBalance(int )`
`(package private) void` | `setLeft(org.hsqldb.Node )`
`(package private) void` | `setParent(org.hsqldb.Node )`
`(package private) void` | `setRight(org.hsqldb.Node )`
`(package private) void` | `write(java.io.DataOutput )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### iBalance

    int iBalance

### iLeft

    int iLeft

### iParent

    int iParent

### iRight

    int iRight

### nLeft

    org.hsqldb.Node nLeft

### nNext

    org.hsqldb.Node nNext

### nParent

    org.hsqldb.Node nParent

### nRight

    org.hsqldb.Node nRight

### rData

    org.hsqldb.Row rData

Constructor Detail

### Node

    Node(org.hsqldb.Row , java.io.DataInput , int )

### Node

    Node(org.hsqldb.Row , int )

Method Detail

### delete

    void delete()

### equals

    boolean equals(org.hsqldb.Node )

### getBalance

    int getBalance()

### getData

    public java.lang.Object[] getData()

### getKey

    int getKey()

### getLeft

    org.hsqldb.Node getLeft()

### getParent

    org.hsqldb.Node getParent()

### getRight

    org.hsqldb.Node getRight()

### setBalance

    void setBalance(int )

### setLeft

    void setLeft(org.hsqldb.Node )

### setParent

    void setParent(org.hsqldb.Node )

### setRight

    void setRight(org.hsqldb.Node )

### write

    void write(java.io.DataOutput )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD